<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::SimTrackerHitData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html">SimTrackerHitData</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classeic_1_1_sim_tracker_hit_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::SimTrackerHitData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_sim_tracker_hit_data_8h_source.html">SimTrackerHitData.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a122a7ba424c6dfab43921e7da2dc0f56"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html#a122a7ba424c6dfab43921e7da2dc0f56">cellID0</a></td></tr>
<tr class="memdesc:a122a7ba424c6dfab43921e7da2dc0f56"><td class="mdescLeft">&#160;</td><td class="mdescRight">The detector specific (geometrical) cell id.  <a href="#a122a7ba424c6dfab43921e7da2dc0f56">More...</a><br /></td></tr>
<tr class="separator:a122a7ba424c6dfab43921e7da2dc0f56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0745bf34579e98ccb1314418099f9aff"><td class="memItemLeft" align="right" valign="top">long long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html#a0745bf34579e98ccb1314418099f9aff">cellID1</a></td></tr>
<tr class="memdesc:a0745bf34579e98ccb1314418099f9aff"><td class="mdescLeft">&#160;</td><td class="mdescRight">The second detector specific (geometrical) cell id.  <a href="#a0745bf34579e98ccb1314418099f9aff">More...</a><br /></td></tr>
<tr class="separator:a0745bf34579e98ccb1314418099f9aff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a32acdd40a1e5318249ac73b33cef35"><td class="memItemLeft" align="right" valign="top">std::array&lt; double, 3 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html#a4a32acdd40a1e5318249ac73b33cef35">position</a></td></tr>
<tr class="memdesc:a4a32acdd40a1e5318249ac73b33cef35"><td class="mdescLeft">&#160;</td><td class="mdescRight">The position of the hit in world coordinates.  <a href="#a4a32acdd40a1e5318249ac73b33cef35">More...</a><br /></td></tr>
<tr class="separator:a4a32acdd40a1e5318249ac73b33cef35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbc250867871dfc9cde7b10dcb040cb9"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html#acbc250867871dfc9cde7b10dcb040cb9">time</a></td></tr>
<tr class="memdesc:acbc250867871dfc9cde7b10dcb040cb9"><td class="mdescLeft">&#160;</td><td class="mdescRight">The time of the hit in [ns].  <a href="#acbc250867871dfc9cde7b10dcb040cb9">More...</a><br /></td></tr>
<tr class="separator:acbc250867871dfc9cde7b10dcb040cb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc67d9f0e75a208f95f5e0dae36b25a9"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html#adc67d9f0e75a208f95f5e0dae36b25a9">pathLength</a></td></tr>
<tr class="memdesc:adc67d9f0e75a208f95f5e0dae36b25a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">path length  <a href="#adc67d9f0e75a208f95f5e0dae36b25a9">More...</a><br /></td></tr>
<tr class="separator:adc67d9f0e75a208f95f5e0dae36b25a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab67edf39538258d401e7e181b82500c6"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html#ab67edf39538258d401e7e181b82500c6">EDep</a></td></tr>
<tr class="memdesc:ab67edf39538258d401e7e181b82500c6"><td class="mdescLeft">&#160;</td><td class="mdescRight">EDep.  <a href="#ab67edf39538258d401e7e181b82500c6">More...</a><br /></td></tr>
<tr class="separator:ab67edf39538258d401e7e181b82500c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d83fd5eb997914afdeea3932ab427d0"><td class="memItemLeft" align="right" valign="top">std::array&lt; float, 3 &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_sim_tracker_hit_data.html#a3d83fd5eb997914afdeea3932ab427d0">_p</a></td></tr>
<tr class="memdesc:a3d83fd5eb997914afdeea3932ab427d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">momentum  <a href="#a3d83fd5eb997914afdeea3932ab427d0">More...</a><br /></td></tr>
<tr class="separator:a3d83fd5eb997914afdeea3932ab427d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC simulated tracker hit </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00012">12</a> of file <a class="el" href="_sim_tracker_hit_data_8h_source.html">SimTrackerHitData.h</a>.</p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a3d83fd5eb997914afdeea3932ab427d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d83fd5eb997914afdeea3932ab427d0">&#9670;&nbsp;</a></span>_p</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt;float, 3&gt; eic::SimTrackerHitData::_p</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>momentum </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00020">20</a> of file <a class="el" href="_sim_tracker_hit_data_8h_source.html">SimTrackerHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00067">eic::ConstSimTrackerHit::_p()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00061">eic::SimTrackerHit::_p()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">eic::ConstSimTrackerHit::ConstSimTrackerHit()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00017">eic::SimTrackerHit::SimTrackerHit()</a>.</p>

</div>
</div>
<a id="a122a7ba424c6dfab43921e7da2dc0f56"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a122a7ba424c6dfab43921e7da2dc0f56">&#9670;&nbsp;</a></span>cellID0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::SimTrackerHitData::cellID0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00014">14</a> of file <a class="el" href="_sim_tracker_hit_data_8h_source.html">SimTrackerHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00053">eic::ConstSimTrackerHit::cellID0()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00054">eic::SimTrackerHit::cellID0()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">eic::ConstSimTrackerHit::ConstSimTrackerHit()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00017">eic::SimTrackerHit::SimTrackerHit()</a>.</p>

</div>
</div>
<a id="a0745bf34579e98ccb1314418099f9aff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0745bf34579e98ccb1314418099f9aff">&#9670;&nbsp;</a></span>cellID1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">long long eic::SimTrackerHitData::cellID1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00015">15</a> of file <a class="el" href="_sim_tracker_hit_data_8h_source.html">SimTrackerHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00055">eic::ConstSimTrackerHit::cellID1()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00055">eic::SimTrackerHit::cellID1()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">eic::ConstSimTrackerHit::ConstSimTrackerHit()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00017">eic::SimTrackerHit::SimTrackerHit()</a>.</p>

</div>
</div>
<a id="ab67edf39538258d401e7e181b82500c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab67edf39538258d401e7e181b82500c6">&#9670;&nbsp;</a></span>EDep</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::SimTrackerHitData::EDep</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>EDep. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00019">19</a> of file <a class="el" href="_sim_tracker_hit_data_8h_source.html">SimTrackerHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">eic::ConstSimTrackerHit::ConstSimTrackerHit()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00065">eic::ConstSimTrackerHit::EDep()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00060">eic::SimTrackerHit::EDep()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00017">eic::SimTrackerHit::SimTrackerHit()</a>.</p>

</div>
</div>
<a id="adc67d9f0e75a208f95f5e0dae36b25a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc67d9f0e75a208f95f5e0dae36b25a9">&#9670;&nbsp;</a></span>pathLength</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::SimTrackerHitData::pathLength</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>path length </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00018">18</a> of file <a class="el" href="_sim_tracker_hit_data_8h_source.html">SimTrackerHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">eic::ConstSimTrackerHit::ConstSimTrackerHit()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00063">eic::ConstSimTrackerHit::pathLength()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00059">eic::SimTrackerHit::pathLength()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00017">eic::SimTrackerHit::SimTrackerHit()</a>.</p>

</div>
</div>
<a id="a4a32acdd40a1e5318249ac73b33cef35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a32acdd40a1e5318249ac73b33cef35">&#9670;&nbsp;</a></span>position</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::array&lt;double, 3&gt; eic::SimTrackerHitData::position</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The position of the hit in world coordinates. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00016">16</a> of file <a class="el" href="_sim_tracker_hit_data_8h_source.html">SimTrackerHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">eic::ConstSimTrackerHit::ConstSimTrackerHit()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00057">eic::ConstSimTrackerHit::position()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00056">eic::SimTrackerHit::position()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00017">eic::SimTrackerHit::SimTrackerHit()</a>.</p>

</div>
</div>
<a id="acbc250867871dfc9cde7b10dcb040cb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbc250867871dfc9cde7b10dcb040cb9">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float eic::SimTrackerHitData::time</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The time of the hit in [ns]. </p>

<p class="definition">Definition at line <a class="el" href="_sim_tracker_hit_data_8h_source.html#l00017">17</a> of file <a class="el" href="_sim_tracker_hit_data_8h_source.html">SimTrackerHitData.h</a>.</p>

<p class="reference">Referenced by <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00017">eic::ConstSimTrackerHit::ConstSimTrackerHit()</a>, <a class="el" href="_sim_tracker_hit_8cc_source.html#l00017">eic::SimTrackerHit::SimTrackerHit()</a>, <a class="el" href="_sim_tracker_hit_const_8cc_source.html#l00061">eic::ConstSimTrackerHit::time()</a>, and <a class="el" href="_sim_tracker_hit_8cc_source.html#l00058">eic::SimTrackerHit::time()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eicd/<a class="el" href="_sim_tracker_hit_data_8h_source.html">SimTrackerHitData.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
